;;; DO NOT MODIFY THIS FILE -*- coding: raw-text-unix -*-
;;;###coding system: raw-text-unix
(if (featurep 'ispell-custom-defines) (error "Feature ispell-custom-defines already loaded"))

;;;### (autoloads (ispell-dictionary-alist ispell-local-dictionary-alist ispell-skip-html ispell-extra-args ispell-local-dictionary ispell-silently-savep ispell-personal-dictionary ispell-use-framepop-p ispell-format-word ispell-quietly ispell-help-in-bufferp ispell-following-word ispell-use-ptys-p ispell-look-options ispell-have-new-look ispell-look-p ispell-look-command ispell-grep-options ispell-grep-command ispell-message-fcc-skip ispell-message-dictionary-alist ispell-complete-word-dict ispell-alternate-dictionary ispell-program-name ispell-choices-win-default-height ispell-keep-choices-win ispell-skip-tib ispell-query-replace-choices ispell-check-comments ispell-highlight-face ispell-highlight-p) "ispell" "ispell/ispell.el")
(defconst custom-define-current-source-file "ispell.el")

(defcustom ispell-highlight-p 'block "\
*Highlight spelling errors when non-nil.
When set to `block', assumes a block cursor with TTY displays." :type '(choice (const block) (const :tag "off" nil) (const :tag "on" t)) :group 'ispell)

(defcustom ispell-highlight-face 'highlight "\
*The face used for Ispell highlighting.  For Emacses with overlays.
Possible values are `highlight', `modeline', `secondary-selection',
`region', and `underline'.
This variable can be set by the user to whatever face they desire.
It's most convenient if the cursor color and highlight color are
slightly different." :type 'face :group 'ispell)

(defcustom ispell-check-comments t "\
*Spelling of comments checked when non-nil.
When set to `exclusive', ONLY comments are checked.  (For code comments).
Warning!  Not checking comments, when a comment start is embedded in strings,
may produce undesired results." :type '(choice (const exclusive) (const :tag "off" nil) (const :tag "on" t)) :group 'ispell)

(defcustom ispell-query-replace-choices nil "\
*Corrections made throughout region when non-nil.
Uses `query-replace' (\\[query-replace]) for corrections." :type 'boolean :group 'ispell)

(defcustom ispell-skip-tib nil "\
*Does not spell check `tib' bibliography references when non-nil.
Skips any text between strings matching regular expressions
`ispell-tib-ref-beginning' and `ispell-tib-ref-end'.

TeX users beware:  Any field starting with [. will skip until a .] -- even
your whole buffer -- unless you set `ispell-skip-tib' to nil.  That includes
a [.5mm] type of number...." :type 'boolean :group 'ispell)

(defcustom ispell-keep-choices-win t "\
*When not nil, the `*Choices*' window remains for spelling session.
This minimizes redisplay thrashing." :type 'boolean :group 'ispell)

(defcustom ispell-choices-win-default-height 2 "\
*The default size of the `*Choices*' window, including mode line.
Must be greater than 1." :type 'integer :group 'ispell)

(defcustom ispell-program-name "ispell" "\
Program invoked by \\[ispell-word] and \\[ispell-region] commands." :type 'string :group 'ispell)

(defcustom ispell-alternate-dictionary (cond ((file-exists-p "/usr/dict/web2") "/usr/dict/web2") ((file-exists-p "/usr/share/dict/web2") "/usr/share/dict/web2") ((file-exists-p "/usr/dict/words") "/usr/dict/words") ((file-exists-p "/usr/lib/dict/words") "/usr/lib/dict/words") ((file-exists-p "/usr/share/dict/words") "/usr/share/dict/words") ((file-exists-p "/usr/share/lib/dict/words") "/usr/share/lib/dict/words") ((file-exists-p "/sys/dict") "/sys/dict") (t "/usr/dict/words")) "\
*Alternate dictionary for spelling help." :type '(choice file (const :tag "None" nil)) :group 'ispell)

(defcustom ispell-complete-word-dict ispell-alternate-dictionary "\
*Dictionary used for word completion." :type '(choice file (const :tag "None" nil)) :group 'ispell)

(defcustom ispell-message-dictionary-alist nil "\
*List used by `ispell-message' to select a new dictionary.
It consists of pairs (REGEXP . DICTIONARY).  If REGEXP is found
in the message headers, `ispell-local-dictionary' will be set to
DICTIONARY if `ispell-local-dictionary' is not buffer-local.
E.g. you may use the following value:
  '((\"^Newsgroups:[ \\t]*de\\\\.\" . \"deutsch8\")
    (\"^To:[^\\n,]+\\\\.de[ \\t\\n,>]\" . \"deutsch8\"))" :type '(repeat (cons regexp string)) :group 'ispell)

(defcustom ispell-message-fcc-skip 50000 "\
*Query before saving Fcc message copy if attachment larger than this value.
Nil always stores Fcc copy of message." :type '(choice integer (const :tag "off" nil)) :group 'ispell)

(defcustom ispell-grep-command "egrep" "\
Name of the grep command for search processes." :type 'string :group 'ispell)

(defcustom ispell-grep-options "-i" "\
String of options to use when running the program in `ispell-grep-command'.
Should probably be \"-i\" or \"-e\".
Some machines (like the NeXT) don't support \"-i\"" :type 'string :group 'ispell)

(defcustom ispell-look-command (cond ((file-exists-p "/bin/look") "/bin/look") ((file-exists-p "/usr/local/bin/look") "/usr/local/bin/look") ((file-exists-p "/usr/bin/look") "/usr/bin/look") (t "look")) "\
Name of the look command for search processes.
This must be an absolute file name." :type 'file :group 'ispell)

(defcustom ispell-look-p (file-exists-p ispell-look-command) "\
*Non-nil means use `look' rather than `grep'.
Default is based on whether `look' seems to be available." :type 'boolean :group 'ispell)

(defcustom ispell-have-new-look nil "\
*Non-nil means use the `-r' option (regexp) when running `look'." :type 'boolean :group 'ispell)

(defcustom ispell-look-options (if ispell-have-new-look "-dfr" "-df") "\
String of command options for `ispell-look-command'." :type 'string :group 'ispell)

(defcustom ispell-use-ptys-p nil "\
When non-nil, Emacs uses ptys to communicate with Ispell.
When nil, Emacs uses pipes." :type 'boolean :group 'ispell)

(defcustom ispell-following-word nil "\
*Non-nil means `ispell-word' checks the word around or after point.
Otherwise `ispell-word' checks the preceding word." :type 'boolean :group 'ispell)

(defcustom ispell-help-in-bufferp nil "\
*Non-nil means display interactive keymap help in a buffer.
The following values are supported:
  nil        Expand the minibuffer and display a short help message
             there for a couple of seconds.
  t          Pop up a new buffer and display a short help message there
             for a couple of seconds.
  electric   Pop up a new buffer and display a long help message there.
             User can browse and then exit the help mode." :type '(choice (const electric) (const :tag "off" nil) (const :tag "on" t)) :group 'ispell)

(defcustom ispell-quietly nil "\
*Non-nil means suppress messages in `ispell-word'." :type 'boolean :group 'ispell)

(defcustom ispell-format-word (function upcase) "\
*Formatting function for displaying word being spell checked.
The function must take one string argument and return a string." :type 'function :group 'ispell)

(defcustom ispell-use-framepop-p nil "\
When non-nil ispell uses framepop to display choices in a dedicated frame.
You can set this variable to dynamically use framepop if you are in a
window system by evaluating the following on startup to set this variable:
  (and window-system (condition-case () (require 'framepop) (error nil)))" :type 'boolean :group 'ispell)

(defcustom ispell-personal-dictionary nil "\
*File name of your personal spelling dictionary, or nil.
If nil, the default personal dictionary, \"~/.ispell_DICTNAME\" is used,
where DICTNAME is the name of your default dictionary." :type '(choice file (const :tag "default" nil)) :group 'ispell)

(defcustom ispell-silently-savep nil "\
*When non-nil, save the personal dictionary without confirmation." :type 'boolean :group 'ispell)

(defcustom ispell-local-dictionary nil "\
If non-nil, the dictionary to be used for Ispell commands.
The value must be a string dictionary name in `ispell-dictionary-alist'.
This variable becomes buffer-local when set in any fashion.

Setting `ispell-local-dictionary' to a value has the same effect as
calling \\[ispell-change-dictionary] with that value.  This variable
is automatically set when defined in the file with either
`ispell-dictionary-keyword' or the Local Variable syntax.

To create a non-standard default dictionary (not from `ispell-dictionary-alist')
call function `set-default' with the new dictionary name." :type '(choice string (const :tag "default" nil)) :group 'ispell)

(defcustom ispell-extra-args nil "\
*If non-nil, a list of extra switches to pass to the Ispell program.
For example, (\"-W\" \"3\") to cause it to accept all 1-3 character
words as correct.  See also `ispell-dictionary-alist', which may be used
for language-specific arguments." :type '(repeat string) :group 'ispell)

(defcustom ispell-skip-html 'use-mode-name "\
*Indicates whether ispell should skip spell checking of SGML markup.
If t, always skip SGML markup; if nil, never skip; if non-t and non-nil,
guess whether SGML markup should be skipped according to the name of the
buffer's major mode.

This is a local variable.  To change the default value use `set-default'." :type '(choice (const :tag "always" t) (const :tag "never" nil) (const :tag "use-mode-name" use-mode-name)) :group 'ispell)

(defcustom ispell-local-dictionary-alist nil "\
*Contains local or customized dictionary definitions.

These will override the values in `ispell-dictionary-alist'.

Customization changes made to `ispell-dictionary-alist' will not operate
over emacs sessions.  To make permanent changes to your dictionary
definitions, you will need to make your changes in this variable, save,
and then re-start emacs." :type '(repeat (list (choice :tag "Dictionary" (string :tag "Dictionary name") (const :tag "default" nil)) (regexp :tag "Case characters") (regexp :tag "Non case characters") (regexp :tag "Other characters") (boolean :tag "Many other characters") (repeat :tag "Ispell command line args" (string :tag "Arg")) (choice :tag "Extended character mode" (const "~tex") (const "~plaintex") (const "~nroff") (const "~list") (const "~latin1") (const "~latin3") (const :tag "default" nil)) (choice :tag "Coding system" (const iso-8859-1) (const iso-8859-2) (const koi8-r)))) :group 'ispell)

(defcustom ispell-dictionary-alist (append ispell-local-dictionary-alist ispell-dictionary-alist-1 ispell-dictionary-alist-2 ispell-dictionary-alist-3 ispell-dictionary-alist-4 ispell-dictionary-alist-5 ispell-dictionary-alist-6) "\
An alist of dictionaries and their associated parameters.

Each element of this list is also a list:

\(DICTIONARY-NAME CASECHARS NOT-CASECHARS OTHERCHARS MANY-OTHERCHARS-P
        ISPELL-ARGS EXTENDED-CHARACTER-MODE CHARACTER-SET)

DICTIONARY-NAME is a possible string value of variable `ispell-dictionary',
nil means the default dictionary.

CASECHARS is a regular expression of valid characters that comprise a
word.

NOT-CASECHARS is the opposite regexp of CASECHARS.

OTHERCHARS is a regexp of characters in the NOT-CASECHARS set but which can be
used to construct words in some special way.  If OTHERCHARS characters follow
and precede characters from CASECHARS, they are parsed as part of a word,
otherwise they become word-breaks.  As an example in English, assume the
regular expression \"[']\" for OTHERCHARS.  Then \"they're\" and
\"Steven's\" are parsed as single words including the \"'\" character, but
\"Stevens'\" does not include the quote character as part of the word.
If you want OTHERCHARS to be empty, use the empty string.
Hint: regexp syntax requires the hyphen to be declared first here.

MANY-OTHERCHARS-P is non-nil when multiple OTHERCHARS are allowed in a word.
Otherwise only a single OTHERCHARS character is allowed to be part of any
single word.

ISPELL-ARGS is a list of additional arguments passed to the ispell
subprocess.

EXTENDED-CHARACTER-MODE should be used when dictionaries are used which
have been configured in an Ispell affix file.  (For example, umlauts
can be encoded as \\\"a, a\\\", \"a, ...)  Defaults are ~tex and ~nroff
in English.  This has the same effect as the command-line `-T' option.
The buffer Major Mode controls Ispell's parsing in tex or nroff mode,
but the dictionary can control the extended character mode.
Both defaults can be overruled in a buffer-local fashion. See
`ispell-parsing-keyword' for details on this.

CHARACTER-SET used for languages with multibyte characters.

Note that the CASECHARS and OTHERCHARS slots of the alist should
contain the same character set as casechars and otherchars in the
LANGUAGE.aff file (e.g., english.aff)." :type '(repeat (list (choice :tag "Dictionary" (string :tag "Dictionary name") (const :tag "default" nil)) (regexp :tag "Case characters") (regexp :tag "Non case characters") (regexp :tag "Other characters") (boolean :tag "Many other characters") (repeat :tag "Ispell command line args" (string :tag "Arg")) (choice :tag "Extended character mode" (const "~tex") (const "~plaintex") (const "~nroff") (const "~list") (const "~latin1") (const "~latin3") (const :tag "default" nil)) (choice :tag "Coding System" (const iso-8859-1) (const iso-8859-2) (const koi8-r)))) :group 'ispell)

;;;***

(provide 'ispell-custom-defines)
